Add FVP support to kokoro build script

Change-Id: Iabf4bc9515a67f585ea5e7d0c01842faf5f18184
diff --git a/kokoro/ubuntu/build.sh b/kokoro/ubuntu/build.sh
index 855a849..42bd693 100755
--- a/kokoro/ubuntu/build.sh
+++ b/kokoro/ubuntu/build.sh
@@ -23,6 +23,20 @@
 # Display commands being run.
 set -x
 
+USE_FVP=0
+
+while test $# -gt 0
+do
+  case "$1" in
+    --fvp) USE_FVP=1
+      ;;
+    *) echo "Unexpected argument $1"
+      exit 1
+      ;;
+  esac
+  shift
+done
+
 # Detect server vs local run. Local run should be from the project's root
 # directory.
 if [ -v KOKORO_JOB_NAME ]
@@ -56,7 +70,12 @@
 # Step 2: make sure it works.
 #
 
-./kokoro/ubuntu/test.sh
+if [ $USE_FVP == 1 ]
+then
+  ./kokoro/ubuntu/test.sh --fvp
+else
+  ./kokoro/ubuntu/test.sh
+fi
 
 #
 # Step 3: static analysis.